OpenLP for Ubuntu 20.04

Where do I find OpenLP for Ubuntu 20.04 LTS Focal Fosa?

I search for DEB or snap or AppImage package.

Comments

  • Raoul, I saw that package, but I get errors on install and on starting:

    $ sudo apt install openlp
    [sudo] gellert jelszava:
    Csomaglisták olvasása... Kész
    Függőségi fa építése      
    Állapotinformációk olvasása... Kész
    A következő csomagok automatikusan lettek telepítve, és már nincs rájuk szükség:
      libjs-jquery-hotkeys python3-pymediainfo python3-pytest-cov
    Ezeket az „sudo apt autoremove” paranccsal törölheti.
    Javasolt csomagok:
      python3-mysql.connector
    Az alábbi ÚJ csomagok lesznek telepítve:
      openlp
    0 frissített, 1 újonnan telepített, 0 eltávolítandó és 3 nem frissített.
    Letöltendő adatmennyiség: 2.837 kB.
    A művelet után 19,3 MB lemezterület kerül felhasználásra.
    Letöltés:1 http://hu.archive.ubuntu.com/ubuntu focal/universe amd64 openlp all 2.4.6-1 [2.837 kB]
    Letöltve 2.837 kB 2mp alatt (1.418 kB/s)
    A korábban ki nem választott openlp csomag kiválasztása.
    (Adatbázis olvasása ... 379303 fájl és könyvtár van jelenleg telepítve.)
    Kibontás előkészítése: .../openlp_2.4.6-1_all.deb ...
    Kibontás: openlp (2.4.6-1) ...
    Beállítás: openlp (2.4.6-1) ...
    /usr/share/openlp/openlp/core/ui/advancedtab.py:454: SyntaxWarning: "is not" wit
    h a literal. Did you mean "!="?
      time_enabled = default_service_enabled and self.service_name_day.currentIndex(
    ) is not 7
    /usr/share/openlp/openlp/core/ui/advancedtab.py:496: SyntaxWarning: "is not" wit
    h a literal. Did you mean "!="?
      self.service_name_time.setEnabled(service_day is not 7)
    /usr/share/openlp/openlp/core/ui/themestab.py:207: SyntaxWarning: "is not" with
    a literal. Did you mean "!="?
      if self.global_theme is not '':
    /usr/share/openlp/tests/functional/openlp_plugins/songs/test_lib.py:202: SyntaxW
    arning: "is" with a literal. Did you mean "=="?
      assert len(result) is 1, 'The result should contain only one element.'
    Aktiválók feldolgozása: mime-support (3.64ubuntu1) ...
    Aktiválók feldolgozása: hicolor-icon-theme (0.17-2) ...
    Aktiválók feldolgozása: gnome-menus (3.36.0-1ubuntu1) ...
    Aktiválók feldolgozása: man-db (2.9.1-1) ...
    Aktiválók feldolgozása: desktop-file-utils (0.24-1ubuntu2) ...

    $ openlp
    Traceback (most recent call last):
      File "<frozen importlib._bootstrap>", line 991, in _find_and_load
      File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
    ModuleNotFoundError: No module named 'openlp.core.common.enum'

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
      File "/usr/bin/openlp", line 44, in <module>
        main()
      File "/usr/share/openlp/openlp/core/__init__.py", line 421, in main
        Settings().remove_obsolete_settings()
      File "/usr/share/openlp/openlp/core/common/settings.py", line 403, in remove_obsolete_settings
        if self.contains(old_key):
    SystemError: <built-in method contains of Settings object at 0x7eff50d5ed30> returned a result with an error set




  • After deleting data folder (.local/share/openlp) I get these warnings:

    $ openlp
    Traceback (most recent call last):
      File "<frozen importlib._bootstrap>", line 991, in _find_and_load
      File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
    ModuleNotFoundError: No module named 'openlp.core.common.enum'

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
      File "/usr/bin/openlp", line 44, in <module>
        main()
      File "/usr/share/openlp/openlp/core/__init__.py", line 421, in main
        Settings().remove_obsolete_settings()
      File "/usr/share/openlp/openlp/core/common/settings.py", line 403, in remove_obsolete_settings
        if self.contains(old_key):
    SystemError: <built-in method contains of Settings object at 0x7fe0bf4acd30> returned a result with an error set
    Error in sys.excepthook:
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 67, in apport_excepthook
        binary = os.path.realpath(os.path.join(os.getcwd(), sys.argv[0]))
    FileNotFoundError: [Errno 2] Nincs ilyen fájl vagy könyvtár

    Original exception was:
    Traceback (most recent call last):
      File "<frozen importlib._bootstrap>", line 991, in _find_and_load
      File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
    ModuleNotFoundError: No module named 'openlp.core.common.enum'

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
      File "/usr/bin/openlp", line 44, in <module>
        main()
      File "/usr/share/openlp/openlp/core/__init__.py", line 421, in main
        Settings().remove_obsolete_settings()
      File "/usr/share/openlp/openlp/core/common/settings.py", line 403, in remove_obsolete_settings
        if self.contains(old_key):
    SystemError: <built-in method contains of Settings object at 0x7fe0bf4acd30> returned a result with an error set








  • edited April 29
    ModuleNotFoundError: No module named 'openlp.core.common.enum'
    This error message is from OpenLP 2.9.0, not 2.4.6. It looks like you had 2.9.0 installed at one stage? I'd recommend trying something like this:
    sudo apt purge openlp
    sudo apt install openlp
    If that doesn't work, you'll need to manually clean up your system. You can use the find command to find all the folders on your computer that are called "openlp".
    find / -iname 'openlp'
    Then remove all those folders - except your data folder if you need to keep it, located at ~/.local/share/openlp.
  • Oh, sorry for wrong report. I cleaned up my system as you described, and I have a running OpenLP 2.4.6 again.

    Yes, I wanted OpenLP 2.9.0 deb package but there was no Ubuntu package, so I downloaded the source code and I was running it several times.

    Thank you very much for your patience. Next time I will be more careful.

  • hi !! I have the same problem I think... Ubuntu 20.04 focal
    I put manualy all package but 
    sudo apt install openlp 
    ...
    Les NOUVEAUX paquets suivants seront installés :
      openlp
    ...
    Préparation du dépaquetage de .../openlp_2.4.6-1_all.deb ...
    Dépaquetage de openlp (2.4.6-1) ...
    Paramétrage de openlp (2.4.6-1) ...
    /usr/share/openlp/openlp/core/ui/advancedtab.py:454: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      time_enabled = default_service_enabled and self.service_name_day.currentIndex() is not 7
    /usr/share/openlp/openlp/core/ui/advancedtab.py:496: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      self.service_name_time.setEnabled(service_day is not 7)
    /usr/share/openlp/openlp/core/ui/themestab.py:207: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      if self.global_theme is not '':
    /usr/share/openlp/tests/functional/openlp_plugins/songs/test_lib.py:202: SyntaxWarning: "is" with a literal. Did you mean "
    =="?
      assert len(result) is 1, 'The result should contain only one element.'
    Traitement des actions différées (« triggers ») pour mime-support (3.64ubuntu1) ...
    Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
    Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1ubuntu1) ...
    Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
    Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1ubuntu3) ...

    Thanks for help
    Seb

  • sudo openlp 
    Traceback (most recent call last):
      File "/usr/bin/openlp", line 27, in <module>
        from openlp.core.common import is_win, is_macosx
      File "/usr/share/openlp/openlp/__init__.py", line 26, in <module>
        from openlp import core, plugins
      File "/usr/share/openlp/openlp/core/__init__.py", line 43, in <module>
        from openlp.core.ui.mainwindow import MainWindow
      File "/usr/share/openlp/openlp/core/ui/mainwindow.py", line 29, in <module>
        from distutils import dir_util
    ImportError: cannot import name 'dir_util' from 'distutils' (/usr/lib/python3.8/distutils/__init__.py)
  • Installing python3's distutils might fix your issue?

    sudo apt install python3-distutils

    P.S. Don't run openlp with sudo.

    Long explanation:
    As a general rule with linux, you shouldn't use sudo unless you need to. Most applications are designed to run without root and will prompt you if root privileges are needed. Sudo is used to run a program as a different user, (by default it uses the root user), if an application creates files as root, other users/applications will not be able to open or edit the file.
    "apt" is ok to run with sudo because it is designed to run as root (it creates shared files), if you run apt without sudo, it will tell you.

  • ninjakiwi

    sudo apt install python3-distutils
    OK
    ensuite :

    J'ai réinstallé ...

    $ sudo apt install openlp
    ...
    Préparation du dépaquetage de .../openlp_2.4.6-1_all.deb ...
    Dépaquetage de openlp (2.4.6-1) ...
    Paramétrage de openlp (2.4.6-1) ...
    /usr/share/openlp/openlp/core/ui/advancedtab.py:454: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      time_enabled = default_service_enabled and self.service_name_day.currentIndex() is not 7
    /usr/share/openlp/openlp/core/ui/advancedtab.py:496: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      self.service_name_time.setEnabled(service_day is not 7)
    /usr/share/openlp/openlp/core/ui/themestab.py:207: SyntaxWarning: "is not" with a literal. Did you mean "!="?
      if self.global_theme is not '':
    /usr/share/openlp/tests/functional/openlp_plugins/songs/test_lib.py:202: SyntaxWarning: "is" with a literal. Did you mean "=="?
      assert len(result) is 1, 'The result should contain only one element.'
    Traitement des actions différées (« triggers ») pour mime-support (3.64ubuntu1) ...
    Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
    Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1ubuntu1) ...
    Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
    Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1ubuntu3) ...

    Toujours la même erreur à l'install mais j'ai une erreur Qt au démarrage de l'appli

    $ openlp 
    No protocol specified
    qt.qpa.xcb: could not connect to display :0
    qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
    This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

    Abandon (core dumped)

  • That's looking better!
    The install is fine, those errors are normal. The issue now seems to be something with Qt libraries installed on your system. I'm not sure why it doesn't just work straight away, perhaps there is an old dependency that is no longer supported.

    Can you please run OpenLP again, but with the QT_DEBUG_PLUGINS variable set to 1; Run this in your terminal:
    QT_DEBUG_PLUGINS=1 openlp

    Then send back the result (but put it in a spoiler so your message isn't too long). That should hopefully give us some hints as to what is wrong.

    It installs and runs fine on my ubuntu 20.04 system, but that might be because I have old packages from previous versions.

  • it's work ! with QT_DEBUG_PLUGINS=1 openlp

    Tanks ninjakiwi 

  • @SebCOURATIN That's great to hear! Although that variable shouldn't change how the program runs. Perhaps all you needed was a system restart...
Sign In or Register to comment.